Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.score.buildin.bendable
Class BendableScoreHolder

    java.lang.Object
      org.drools.planner.core.score.holder.AbstractScoreHolder
          org.drools.planner.core.score.buildin.bendable.BendableScoreHolder

All Implemented Interfaces:
  Serializable, ScoreHolder

    public class BendableScoreHolder

extends AbstractScoreHolder

See Also:
  Serialized Form

Constructor Summary
`BendableScoreHolder(int hardLevelCount, int softLevelCount)`

Method Summary
`void` | `addHardConstraintMatch(org.kie.runtime.rule.RuleContext kcontext, int hardLevel, int weight)`
`void` | `addSoftConstraintMatch(org.kie.runtime.rule.RuleContext kcontext, int softLevel, int weight)`
`Score` | `extractScore()` Extracts the `Score`, calculated by the `WorkingMemory` for `DroolsScoreDirector`.
`int` | `getHardLevelCount()`
`int` | `getHardScore(int hardLevel)`
`int` | `getSoftLevelCount()`
`int` | `getSoftScore(int softLevel)`
`void` | `setHardScore(int hardLevel, int hardScore)`
`void` | `setSoftScore(int softLevel, int softScore)`

Methods inherited from class org.drools.planner.core.score.holder.AbstractScoreHolder
`registerUndoListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BendableScoreHolder

    public BendableScoreHolder(int hardLevelCount,
                               int softLevelCount)

Method Detail

### getHardLevelCount

    public int getHardLevelCount()

### getHardScore

    public int getHardScore(int hardLevel)

### setHardScore

    public void setHardScore(int hardLevel,
                             int hardScore)

### getSoftLevelCount

    public int getSoftLevelCount()

### getSoftScore

    public int getSoftScore(int softLevel)

### setSoftScore

    public void setSoftScore(int softLevel,
                             int softScore)

### addHardConstraintMatch

    public void addHardConstraintMatch(org.kie.runtime.rule.RuleContext kcontext,
                                       int hardLevel,
                                       int weight)

### addSoftConstraintMatch

    public void addSoftConstraintMatch(org.kie.runtime.rule.RuleContext kcontext,
                                       int softLevel,
                                       int weight)

### extractScore

    public Score extractScore()

  Description copied from interface: `ScoreHolder`
  Extracts the `Score`, calculated by the `WorkingMemory` for `DroolsScoreDirector`. Should not be called directly, use `ScoreDirector.calculateScore()` instead.

  Returns:
    never null, the `Score` of the working `Solution`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.